=== debian/control ===
--- 
+++ 
@@ -2,15 +2,16 @@
 Section: devel
 Priority: optional
 Maintainer: Ondřej Surý <ondrej@debian.org>
-Vcs-Browser: http://git.debian.org/?p=pkg-google/golang.git
-Vcs-Git: git://git.debian.org/pkg-google/golang.git
+Uploaders: Michael Stapelberg <stapelberg@debian.org>
+Vcs-Browser: http://git.debian.org/?p=pkg-golang/golang.git
+Vcs-Git: git://git.debian.org/pkg-golang/golang.git
 Build-Depends: debhelper (>= 7.4.10), bison, ed, mawk | awk, perl, netbase
 Build-Depends-Indep: po-debconf
 Standards-Version: 3.9.3
 Homepage: http://golang.org/
 
 Package: golang-go
-Architecture: i386 amd64 kfreebsd-i386 kfreebsd-amd64 armel armhf
+Architecture: i386 amd64 armel armhf
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends},
 	 golang-src (>= ${source:Version})
 Replaces: golang-weekly-go, golang-weekly-tools, golang-tools
@@ -36,7 +37,7 @@
 Conflicts: golang-weekly-src
 Provides: golang-weekly-src
 Breaks: golang-go (<< 2:1-3~)
-Architecture: i386 amd64 kfreebsd-i386 kfreebsd-amd64 armel armhf
+Architecture: i386 amd64 armel armhf
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Go programming language compiler - source files
  The Go programming language is an open source project to make
@@ -78,7 +79,7 @@
 Replaces: golang-weekly-dbg
 Conflicts: golang-weekly-dbg
 Provides: golang-weekly-dbg
-Architecture: i386 amd64 kfreebsd-i386 kfreebsd-amd64 armel armhf
+Architecture: i386 amd64 armel armhf
 Depends: ${misc:Depends}, golang-go (= ${binary:Version})
 Recommends: gdb
 Section: debug
@@ -123,7 +124,7 @@
 
 Package: golang-mode
 Architecture: all
-Depends: ${misc:Depends}, emacs23 | emacsen
+Depends: ${misc:Depends}, emacs23 | emacsen, emacsen-common (>= 1.4.14)
 Suggests: golang-go
 Description: Go programming language - mode for GNU Emacs
  This package provides a GNU Emacs major mode for editing code in
