=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Ondřej Surý <ondrej@debian.org>
 Uploaders: Michael Stapelberg <stapelberg@debian.org>
-Vcs-Browser: http://git.debian.org/?p=pkg-golang/golang.git
-Vcs-Git: git://git.debian.org/pkg-golang/golang.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-golang/golang.git
+Vcs-Git: git://anonscm.debian.org/pkg-golang/golang.git
 Build-Depends: debhelper (>= 7.4.10), bison, ed, mawk | awk, perl, netbase
 Build-Depends-Indep: po-debconf
 Standards-Version: 3.9.3
@@ -57,7 +57,7 @@
 Replaces: golang-weekly-doc
 Conflicts: golang-weekly-doc
 Provides: golang-weekly-doc
-Depends: ${misc:Depends}, golang-go
+Depends: ${misc:Depends}, golang-go, libjs-jquery
 Architecture: all
 Section: doc
 Description: Go programming language compiler - documentation
