=== debian/rules ===
--- 
+++ 
@@ -33,13 +33,22 @@
 
 override_dh_install:
 	dh_install --fail-missing
-	# Remove binary from documentation
-	-rm $(CURDIR)/debian/golang-doc/usr/share/doc/golang-doc/html/articles/wiki/get.bin
+	# Replace jquery in the html documentation with a symlink to libjs-jquery.
+	-rm $(CURDIR)/debian/golang-doc/usr/share/doc/golang-doc/html/jquery.js && \
+	ln -s /usr/share/javascript/jquery/jquery.min.js $(CURDIR)/debian/golang-doc/usr/share/doc/golang-doc/html/jquery.js
 	# Make scripts executable
 	chmod +x $(CURDIR)/debian/golang-src/usr/share/go/src/cmd/godoc/setup-godoc-app.bash
 	# Remove testdata and tests from installed src directory
 	find $(CURDIR)/debian/golang-src/usr/share/go/src -type d -name testdata -prune -execdir rm -rf {} \;
 	find $(CURDIR)/debian/golang-src/usr/share/go/src -type f -name '*_test.go' -delete
+	# Remove .syso files of the race detector; it is not used yet and the files are arch-dependent.
+	find $(CURDIR)/debian/golang-src/usr/share/go/src/pkg/runtime/race -type f -name '*.syso' -delete
+	# Remove Plan9 rc(1) scripts
+	find $(CURDIR)/debian/golang-src/usr/share/go/src -type f -name "*.rc" -delete
+	# Remove empty /usr/share/go/src from golang-go, it is provided by golang-src
+	find $(CURDIR)/debian/golang-go/usr/share/go/src -type d -delete
+	# Subsequently, /usr/share/go is empty, too, so remove
+	find $(CURDIR)/debian/golang-go/usr/share/go -type d -delete
 	# Touch built and installed files and directories to have same timestamp
 	touch $(CURDIR)/debian/golang-go/usr/lib/go/pkg
 	find $(CURDIR)/debian/golang-go/usr/lib/go/pkg -exec touch -r $(CURDIR)/debian/golang-go/usr/lib/go/pkg {} \;
